<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$skills = $args['skills'] ?? array();

if ( empty( $skills ) ) {
	return;
}

$skill_list = gigneo_term_list(
	array(
		'taxonomy' => 'gigneo_skill',
		'parent'   => 0,
	),
	false
);

?>
<div id="gn-skills" class="gn-section gn-skills-section">
	<div class="gn-head">
		<h3 class="gn-title"><?php esc_html_e( 'Skills', 'gigneo' ); ?></h3>
	</div>
	<div class="gn-body">
		<div class="gn-skills">
			<?php foreach ( $skills as $key => $skill ) { ?>
			<span class="gn-status-tag"><?php echo esc_html( $skill_list[ $skill ] ); ?></span>
			<?php } ?>
		</div>
	</div>
</div>
